summaryrefslogtreecommitdiff
path: root/dev-python/utidylib
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/utidylib')
-rw-r--r--dev-python/utidylib/Manifest1
-rw-r--r--dev-python/utidylib/metadata.xml13
-rw-r--r--dev-python/utidylib/utidylib-0.6.ebuild51
3 files changed, 65 insertions, 0 deletions
diff --git a/dev-python/utidylib/Manifest b/dev-python/utidylib/Manifest
new file mode 100644
index 000000000000..c64ef0996cde
--- /dev/null
+++ b/dev-python/utidylib/Manifest
@@ -0,0 +1 @@
+DIST uTidylib-0.6.tar.gz 15771 BLAKE2B 9d4fe57d985ea6e52680bd528862d3236137221227a23fe05b886d01d240e21d7159dbf7d6da3af8020009ca45c60c2297e374bb7aa05cb6b5a8eaf444710c58 SHA512 a85506ef8824f66ee326ad651020dc3b4e00190e20dcd3814984fa27ff319f492fe5bac781b7c43c8694cbfc63409e3abda18981969c9be2c3cd023fe7a4f2f8
diff --git a/dev-python/utidylib/metadata.xml b/dev-python/utidylib/metadata.xml
new file mode 100644
index 000000000000..da2c8aa978f1
--- /dev/null
+++ b/dev-python/utidylib/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">nijel/utidylib</remote-id>
+ <remote-id type="sourceforge">utidylib</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/utidylib/utidylib-0.6.ebuild b/dev-python/utidylib/utidylib-0.6.ebuild
new file mode 100644
index 000000000000..76975cc35781
--- /dev/null
+++ b/dev-python/utidylib/utidylib-0.6.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+MY_P="uTidylib-${PV}"
+inherit distutils-r1
+
+DESCRIPTION="TidyLib Python wrapper"
+HOMEPAGE="https://cihar.com/software/utidylib/ https://pypi.org/project/uTidylib/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm64 ppc ppc64 x86"
+IUSE="doc test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ test? ( || ( $(python_gen_useflags 'python2*' python3_6 python3_7) ) )
+"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+DEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ app-text/tidy-html5
+"
+
+RESTRICT="test" # 1/11 tests fail
+
+S="${WORKDIR}/${MY_P}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}